Remote Accesses
All operations require authentication.
List the remote accesses of an OverTheBox serviceProduction
List the remote accesses of an OverTheBox service. Returns the IDs of the remote accesses created to reach the device of the service.
Path parameters
The internal name of your overTheBox offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ remoteAccesses \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a remote access on an OverTheBox serviceProduction
Create a remote access on an OverTheBox service. Exposes a port of the device for a remote user, until the expiration date (one day by default), from an allowed IP block.
Path parameters
The internal name of your overTheBox offer
Request body (required)
IP block from which the remote access will be allowed (the default value is the IP from which the call is made)
The expirationDate of the remote access (default 1 day)
The port that the device will expose
The remote user public key authorized on the device (for SSH purpose)
Response
If the remote access was accepted by the remote user
The date of the remote access demand
The user that authorized the remote access
All the infos needed to connect yourself to your OTB
When the remote access was deleted
Info about the docker version
When the remote access will be automatically deleted
The device's port which will be exposed
The id of the remote access
Infos about the remote user
Status of the remote access
activecreatingdeleteddeletingpendingValidationrecreatingtoDeletetoRecreateExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ remoteAccesses \
-H "authorization: Bearer $OVH_TOKEN"{ "accepted": true, "askDate": "2024-01-01T12:00:00Z", "authorizedBy": "string", "connectionInfos": { "ip": "192.0.2.0", "port": 0 }, "deletedAt": "2024-01-01T12:00:00Z", "dockerVersion": "string", "expirationDate": "2024-01-01T12:00:00Z", "exposedPort": 0, "remoteAccessId": "string", "remoteUserInfos": { "ip": "192.0.2.0/24", "publicKey": "string", "user": "string" }, "status": "active"}
Get a remote access of an OverTheBox serviceProduction
Get a remote access of an OverTheBox service. Returns the exposed port, status, acceptance, connection information, the user who authorized it and its expiration date.
Path parameters
The id of the remote access
The internal name of your overTheBox offer
Response
If the remote access was accepted by the remote user
The date of the remote access demand
The user that authorized the remote access
All the infos needed to connect yourself to your OTB
When the remote access was deleted
Info about the docker version
When the remote access will be automatically deleted
The device's port which will be exposed
The id of the remote access
Infos about the remote user
Status of the remote access
activecreatingdeleteddeletingpendingValidationrecreatingtoDeletetoRecreateExample uses remoteAccessId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ remoteAccesses/ {remoteAccessId} \
-H "authorization: Bearer $OVH_TOKEN"{ "accepted": true, "askDate": "2024-01-01T12:00:00Z", "authorizedBy": "string", "connectionInfos": { "ip": "192.0.2.0", "port": 0 }, "deletedAt": "2024-01-01T12:00:00Z", "dockerVersion": "string", "expirationDate": "2024-01-01T12:00:00Z", "exposedPort": 0, "remoteAccessId": "string", "remoteUserInfos": { "ip": "192.0.2.0/24", "publicKey": "string", "user": "string" }, "status": "active"}
Delete a remote access of an OverTheBox serviceProduction
Delete a remote access of an OverTheBox service. Removes the remote access, and the device port is no longer exposed.
Path parameters
The id of the remote access
The internal name of your overTheBox offer
Response
Example uses remoteAccessId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ remoteAccesses/ {remoteAccessId} \
-H "authorization: Bearer $OVH_TOKEN"